com.dlsc.flexgantt.swing.scheduling

## Class ConstraintViolationTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - com.dlsc.flexgantt.swing.MessageTableModel
    - - com.dlsc.flexgantt.swing.scheduling.ConstraintViolationTableModel

- All Implemented Interfaces:
    IMessageListener, Serializable, EventListener, TableModel

      public class ConstraintViolationTableModel
      extends MessageTableModel

  A specialized version of the `MessageTableModel`, which enables the editing of the first column. The first column displays the warning and error icons and the user can perform a click on the icon to bring up the resolution drow down list.
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintViolationTableModel(AbstractGanttChart gc)` Constructs a new table model for the given Gantt chart.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCellEditable(int row, int col)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.MessageTableModel

      `getColumnCount, getMessageInRow, getRowCount, getValueAt, messageAdded, messageRemoved, messagesCleared`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getColumnName, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintViolationTableModel

          public ConstraintViolationTableModel(AbstractGanttChart gc)

      Constructs a new table model for the given Gantt chart.
      Parameters:
        `gc` - the Gantt chart
      Since:
        2.1

  - ### Method Detail

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int col)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.